-- loggrab
-- Henly20 (ls-uk Modteam)
-- 24/07/2010
-- www.ls-uk.info

loggrab = {};

function loggrab.prerequisitesPresent(specializations)
    return true;
end;

function loggrab:load(xmlFile)



	local rotationPartNode1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.rotationPart1#index"));
		if rotationPartNode1 ~= nil then
        self.rotationPart1 = {};
        self.rotationPart1.node = rotationPartNode1;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.rotationPart1#minRot"));
        self.rotationPart1.minRot = {};
        self.rotationPart1.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPart1.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPart1.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.rotationPart1#maxRot"));
        self.rotationPart1.maxRot = {};
        self.rotationPart1.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPart1.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPart1.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPart1.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.rotationPart1#rotTime"), 2)*1000;
        self.rotationPart1.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.rotationPart1#touchRotLimit"), 10));
    end;

end;

function loggrab:delete()

end;

function loggrab:mouseEvent(posX, posY, isDown, isUp, button)
end;

function loggrab:keyEvent(unicode, sym, modifier, isDown)

		if sym == Input.KEY_pageup then
			self.rotationMax1 = isDown;
		end;
		if sym == Input.KEY_pagedown then
			self.rotationMin1 = isDown;
		end;

end;
		

function loggrab:update(dt)

	if self.rotationPart1 ~= nil and (self.rotationMax1 or self.rotationMin1) then
        local x, y, z = getRotation(self.rotationPart1.node);
        local rot = {x,y,z};
        local newRot = Utils.getMovedLimitedValues(rot, self.rotationPart1.maxRot, self.rotationPart1.minRot, 3, self.rotationPart1.rotTime, dt, not self.rotationMax1);
        setRotation(self.rotationPart1.node, unpack(newRot));
    end;
			
		for i, jointDesc in pairs(self.componentJoints) do
			setJointFrame(self.componentJoints[i].jointIndex, 0, self.componentJoints[i].jointNode);
		end;

end;

function loggrab:draw()

	if self.help then	
	g_currentMission:addExtraPrintText("Key 4: Open Grab");
    else
	g_currentMission:addExtraPrintText("Key Page Up/Down: Open/Close Grab");
    end;

end;

function loggrab:onDetach()



end;

function loggrab:onLeave()


end;



function loggrab:onAttach(attacherVehicle)
	
	
end;

